package com.jasamedika.medifirst2000.vo;

import javax.persistence.Column;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;

import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;

public class MappingKualitasVO extends BaseTransactionVO {

	private static final long serialVersionUID = 7337979441996604055L;

	@ManyToOne
	@JoinColumn(name = "ObjectPenilaianKinerjaSatpamFk")
	private PenilaianKinerjaSatpamVO penilaianKinerjaSatpam;

	@Column(name = "Kualitas", nullable = true)
	private String kualitas;

	@Column(name = "NilaiKualitas", nullable = true)
	private Integer nilaiKualitas;

	public PenilaianKinerjaSatpamVO getPenilaianKinerjaSatpam() {
		return penilaianKinerjaSatpam;
	}

	public void setPenilaianKinerjaSatpam(PenilaianKinerjaSatpamVO penilaianKinerjaSatpam) {
		this.penilaianKinerjaSatpam = penilaianKinerjaSatpam;
	}

	public String getKualitas() {
		return kualitas;
	}

	public void setKualitas(String kualitas) {
		this.kualitas = kualitas;
	}

	public Integer getNilaiKualitas() {
		return nilaiKualitas;
	}

	public void setNilaiKualitas(Integer nilaiKualitas) {
		this.nilaiKualitas = nilaiKualitas;
	}

}
